| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
install.LogFile Class Reference

## Public Member Functions
def | __init__ (self)
def | get_dest (self, source)
def | set_dest (self, source, dest)
def | get_sources (self)
def | remove (self, source)
def | __len__ (self)

## Private Attributes
| _installed_files

## Detailed Description

    Class to incapsulate the logfile functionalities.

Definition at line 87 of file install.py.

## Constructor & Destructor Documentation

def install.LogFile.__init__ | ( |  | self | ) |

Definition at line 91 of file install.py.

91 def __init__(self):
92 self._installed_files = {}
93
install.LogFile._installed_files
_installed_files
Definition: install.py:92
install.LogFile.__init__
def __init__(self)
Definition: install.py:91

## Member Function Documentation

def install.LogFile.__len__ | ( |  | self | ) |

Definition at line 112 of file install.py.

112 def __len__(self):
113 return self._installed_files.__len__()
114
install.LogFile.__len__
def __len__(self)
Definition: install.py:112

def install.LogFile.get_dest | ( |  | self,
|  |  | source
| ) |  |

Definition at line 94 of file install.py.

94 def get_dest(self,source):
95 try:
96 return self._installed_files[source]
97 except KeyError:
98 return None
99
install.LogFile._installed_files
_installed_files
Definition: install.py:92
install.LogFile.get_dest
def get_dest(self, source)
Definition: install.py:94

def install.LogFile.get_sources | ( |  | self | ) |

Definition at line 103 of file install.py.

103 def get_sources(self):
104 return self._installed_files.keys()
105
install.LogFile.get_sources
def get_sources(self)
Definition: install.py:103

def install.LogFile.remove | ( |  | self,
|  |  | source
| ) |  |

Definition at line 106 of file install.py.

106 def remove(self,source):
107 try:
108 del self._installed_files[source]
109 except KeyError:
110 pass
111
install.LogFile._installed_files
_installed_files
Definition: install.py:92
install.LogFile.remove
def remove(self, source)
Definition: install.py:106

def install.LogFile.set_dest | ( |  | self,
|  |  | source,
|  |  | dest
| ) |  |

Definition at line 100 of file install.py.

100 def set_dest(self,source,dest):
101 self._installed_files[source] = dest
102
install.LogFile._installed_files
_installed_files
Definition: install.py:92
install.LogFile.set_dest
def set_dest(self, source, dest)
Definition: install.py:100

## Member Data Documentation

install.LogFile._installed_files
| private

Definition at line 92 of file install.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/scripts/install.py